package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsUserCourseCount;
import org.apache.ibatis.annotations.Param;

/**
 * 用户看课统计Mapper接口
 *
 * @author fs
 * @date 2025-04-02
 */
public interface FsUserCourseCountMapper
{
    /**
     * 查询用户看课统计
     *
     * @param id 用户看课统计ID
     * @return 用户看课统计
     */
    public FsUserCourseCount selectFsUserCourseCountById(Long id);

    /**
     * 查询用户看课统计列表
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 用户看课统计集合
     */
    public List<FsUserCourseCount> selectFsUserCourseCountList(FsUserCourseCount fsUserCourseCount);

    /**
     * 新增用户看课统计
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 结果
     */
    public int insertFsUserCourseCount(FsUserCourseCount fsUserCourseCount);

    /**
     * 修改用户看课统计
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 结果
     */
    public int updateFsUserCourseCount(FsUserCourseCount fsUserCourseCount);

    /**
     * 删除用户看课统计
     *
     * @param id 用户看课统计ID
     * @return 结果
     */
    public int deleteFsUserCourseCountById(Long id);

    /**
     * 批量删除用户看课统计
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsUserCourseCountByIds(Long[] ids);

    FsUserCourseCount findByUserId(@Param("userId") Long userId);

    /**
     * 获取看课统计表结果
     * @return list
     */
    List<FsUserCourseCount> getCountResult();

    /**
     * 往看课统计表中插入数据
     */
    void insertFsUserCourseCountTask(FsUserCourseCount fsUserCourseCount);

}
